SuSE 11.1 Security Update : PHP5 (SAT Patch Number 6316)

High Nessus Plugin ID 64100

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 5.9

Synopsis

The remote SuSE 11 host is missing one or more security updates.

Description

PHP5 was updated with incremental fixes to the previous update :

- Additional unsafe cgi wrapper scripts are also fixed now. (CVE-2012-2335)

- Even more commandline option handling is filtered, which could lead to crashes of the php interpreter.
(CVE-2012-2336)

Solution

Apply SAT patch number 6316.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=761631

http://support.novell.com/security/cve/CVE-2012-2335.html

http://support.novell.com/security/cve/CVE-2012-2336.html

Plugin Details

Severity: High

ID: 64100

File Name: suse_11_apache2-mod_php5-120518.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2013/01/25

Updated: 2020/06/04

Dependencies: 12634

Risk Information

Risk Factor: High

VPR Score: 5.9

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:apache2-mod_php5, p-cpe:/a:novell:suse_linux:11:php5, p-cpe:/a:novell:suse_linux:11:php5-bcmath, p-cpe:/a:novell:suse_linux:11:php5-bz2, p-cpe:/a:novell:suse_linux:11:php5-calendar, p-cpe:/a:novell:suse_linux:11:php5-ctype, p-cpe:/a:novell:suse_linux:11:php5-curl, p-cpe:/a:novell:suse_linux:11:php5-dba, p-cpe:/a:novell:suse_linux:11:php5-dbase, p-cpe:/a:novell:suse_linux:11:php5-dom, p-cpe:/a:novell:suse_linux:11:php5-exif, p-cpe:/a:novell:suse_linux:11:php5-fastcgi, p-cpe:/a:novell:suse_linux:11:php5-ftp, p-cpe:/a:novell:suse_linux:11:php5-gd, p-cpe:/a:novell:suse_linux:11:php5-gettext, p-cpe:/a:novell:suse_linux:11:php5-gmp, p-cpe:/a:novell:suse_linux:11:php5-hash, p-cpe:/a:novell:suse_linux:11:php5-iconv, p-cpe:/a:novell:suse_linux:11:php5-json, p-cpe:/a:novell:suse_linux:11:php5-ldap, p-cpe:/a:novell:suse_linux:11:php5-mbstring, p-cpe:/a:novell:suse_linux:11:php5-mcrypt, p-cpe:/a:novell:suse_linux:11:php5-mysql, p-cpe:/a:novell:suse_linux:11:php5-odbc, p-cpe:/a:novell:suse_linux:11:php5-openssl, p-cpe:/a:novell:suse_linux:11:php5-pcntl, p-cpe:/a:novell:suse_linux:11:php5-pdo, p-cpe:/a:novell:suse_linux:11:php5-pear, p-cpe:/a:novell:suse_linux:11:php5-pgsql, p-cpe:/a:novell:suse_linux:11:php5-pspell, p-cpe:/a:novell:suse_linux:11:php5-shmop, p-cpe:/a:novell:suse_linux:11:php5-snmp, p-cpe:/a:novell:suse_linux:11:php5-soap, p-cpe:/a:novell:suse_linux:11:php5-suhosin, p-cpe:/a:novell:suse_linux:11:php5-sysvmsg, p-cpe:/a:novell:suse_linux:11:php5-sysvsem, p-cpe:/a:novell:suse_linux:11:php5-sysvshm, p-cpe:/a:novell:suse_linux:11:php5-tokenizer, p-cpe:/a:novell:suse_linux:11:php5-wddx, p-cpe:/a:novell:suse_linux:11:php5-xmlreader, p-cpe:/a:novell:suse_linux:11:php5-xmlrpc, p-cpe:/a:novell:suse_linux:11:php5-xmlwriter, p-cpe:/a:novell:suse_linux:11:php5-xsl, p-cpe:/a:novell:suse_linux:11:php5-zip, p-cpe:/a:novell:suse_linux:11:php5-zlib, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2012/05/18

Reference Information

CVE: CVE-2012-2335, CVE-2012-2336